import { ControlValueAccessor } from '@angular/forms';
import { EuiTimePicker } from './models/eui-timepicker.model';
import * as i0 from "@angular/core";
export declare const EUI_TIMEPICKER_ACCESSOR: any;
export declare class EuiTimepickerComponent implements ControlValueAccessor {
    hours: number;
    mins: number;
    secs: number;
    isDatetimepicker: boolean;
    propagatedValues: EuiTimePicker;
    get isreadOnly(): boolean;
    set isreadOnly(value: boolean);
    _isreadOnly: boolean;
    get hasSeconds(): boolean;
    set hasSeconds(value: boolean);
    _hasSeconds: boolean;
    constructor(config: {
        hours: number;
        mins: number;
        secs: number;
        callbackFn: any;
        isDatetimepicker: boolean;
    });
    callbackFn: (hours: number, mins: number, secs?: number) => void;
    changeHour(step: number): void;
    changeMinutes(step: number): void;
    changeSeconds(step: number): void;
    updateHour(newVal: string): void;
    updateMinutes(newVal: string): void;
    updateSeconds(newVal: string): void;
    formatHour(value: number): string;
    formatMins(value: number): string;
    formatSecs(value: number): string;
    toInteger(value: any): number;
    isNumber(value: any): value is number;
    padNumber(value: number): string;
    restrictHoursLength(inputref: HTMLInputElement): boolean;
    restrictMinsLength(inputref: HTMLInputElement): boolean;
    restrictSecsLength(inputref: HTMLInputElement): boolean;
    writeValue(values: EuiTimePicker): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    private propagateChange;
    private propagateTouched;
    static ɵfac: i0.ɵɵFactoryDef<EuiTimepickerComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiTimepickerComponent, "eui-timepicker", never, { "isreadOnly": "isreadOnly"; "hasSeconds": "hasSeconds"; }, {}, never, never>;
}
